## NOTE Please read README_packaging.txt before updating this package.
%define _disable_ld_no_undefined 1
%global __requires_exclude ^lib(S57ENC|GARMINHOST|TEXCMP|NMEA0183)\\.so.*$
%define tarname	OpenCPN

Name:		opencpn
Summary:	A concise Chartplotter and Navigation software
Version:	4.4.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Geography
URL:		http://opencpn.org/ocpn/
Source0:	https://github.com/%{tarname}/%{tarname}/archive/v%{version}/%{tarname}-%{version}.tar.xz
Source1:	README_packaging.txt
Source2:	get-plugins

BuildRequires:	bzip2-devel
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libgps)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel 
BuildRequires:	wxgtku3.0-devel

Requires:	gpsd-clients

%description
A cross-platform ship-borne GUI application supporting
* GPS/GPDS Position Input
* BSB Raster Chart display
* S57 Vector ENC chart display
* CM93 Vector chart display
* AIS Input Decoding
* Waypoint Autopilot Navigation

Pilot charts can be downloaded from http://opencpn.org/ocpn/pilotcharts
Other useful add-ons may be found inside the "Download" link at
http://opencpn.org/ocpn

%prep
%setup -q -n %{tarname}-%{version}

rm -rf plugins/chartdldr_pi

# To be sure to use system tinyxml headers and not bundled ones
rm -f src/tinyxml*.cpp include/tinyxml.h

%build
%cmake	-DBUNDLE_DOCS=ON \
	-DBUNDLE_TCDATA=ON \
	-DBUNDLE_GSHHS=CRUDE \
	-DBUILD_SHARED_LIBS=OFF
%make_build

%install
rm -rf %buildroot
%make_install -C build
	
%find_lang %{name}
%find_lang %{name}-grib_pi
%find_lang %{name}-dashboard_pi
%find_lang %{name}-wmm_pi

 desktop-file-install  \
 --dir=%{buildroot}%{_datadir}/applications \
 --remove-category='Science' \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
  
cp -f data/license.txt %{buildroot}%{_datadir}/%{name}/doc
cp -f data/doc/help_en_US.html %{buildroot}%{_datadir}/%{name}/doc
cp -f data/doc/readme %{buildroot}%{_datadir}/%{name}/doc

# Remove Debian-only docs
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files -f %{name}.lang -f %{name}-dashboard_pi.lang -f %{name}-grib_pi.lang -f %{name}-wmm_pi.lang
%doc README
%dir %{_datadir}/%{name}
%doc %{_datadir}/%{name}/doc/images/*
%doc %{_datadir}/%{name}/doc/license.txt
%doc %{_datadir}/%{name}/license.txt
%doc %{_datadir}/%{name}/doc/readme
%doc %{_datadir}/%{name}/doc/help*
%{_bindir}/*
%dir %{_datadir}/%{name}/gshhs
%{_datadir}/%{name}/gshhs/*
%{_datadir}/%{name}/s57data/*
%{_datadir}/%{name}/sounds/*
%dir %{_datadir}/%{name}/tcdata
%{_datadir}/%{name}/tcdata/*
%{_datadir}/%{name}/uidata/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libdashboard_pi.so
%{_libdir}/%{name}//libwmm_pi.so
%{_libdir}/%{name}/libgrib_pi.so
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}/plugins/dashboard_pi/data/*
%{_datadir}/%{name}/plugins/grib_pi/data/*
%{_datadir}/%{name}/plugins/wmm_pi/data/*


%changelog
* Wed Nov 01 2017 bb2 <bb2> - 4.4.0-1pclos2017
- new version
